Get
curl --request GET \
--url http://{host}:{port}/{contextPath}/deployment/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/deployment/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/deployment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "someDeploymentId",
"name": "deploymentName",
"source": "process application",
"deploymentTime": "2013-04-23T13:42:43.000+0200"
}{
"type": "<string>",
"message": "<string>",
"code": 123
}部署
根据ID获取
Retrieves a deployment by id, according to the Deployment interface of the engine.
GET
/
deployment
/
{id}
Get
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the deployment.
Response
Request successful.
The id of the deployment.
The tenant id of the deployment.
The time when the deployment was created.
The source of the deployment.
The name of the deployment.
The links associated to this resource, with method, href and rel.
Show child attributes
Show child attributes
⌘I